package com.qualcomm.qti.snpe.imageclassifiers.thread;

import android.graphics.Bitmap;

import com.qualcomm.qti.snpe.imageclassifiers.detector.Bbox;

import java.util.List;

public class AIResult {
    private int frameId;
    private List<Bbox> listBox;
    private Bitmap originalBitmap;

    public AIResult(int frameId, List<Bbox> listBox, Bitmap originalBitmap) {
        this.frameId = frameId;
        this.listBox = listBox;
        this.originalBitmap = originalBitmap;
    }

    public List<Bbox> getListBox() {
        return listBox;
    }

    public void setListBox(List<Bbox> listBox) {
        this.listBox = listBox;
    }

    public int getFrameId() {
        return frameId;
    }

    public void setFrameId(int frameId) {
        this.frameId = frameId;
    }

    public Bitmap getOriginalBitmap() {
        return originalBitmap;
    }

    public void setOriginalBitmap(Bitmap originalBitmap) {
        this.originalBitmap = originalBitmap;
    }
}
